Bug 93779 - Crash (SEH exception) when using WordWeb dictionary
Summary: Crash (SEH exception) when using WordWeb dictionary
Status: RESOLVED INSUFFICIENTDATA
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.1.3.2 release
Hardware: Other Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-08-30 09:39 UTC by Paulo Oliveira
Modified: 2018-01-29 10:36 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
file who give the problem (8.54 KB, application/vnd.oasis.opendocument.text)
2016-05-31 17:59 UTC, luxian
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Paulo Oliveira 2015-08-30 09:39:41 UTC
I use Ctrl+RightClick over a word to call WordWeb, a dictionary.
Comment 1 Buovjaga 2015-09-12 18:16:36 UTC
Ok, what do I need to do to reproduce this? Does WordWeb install a LibreOffice extension? http://wordweb.info/free/

Set to NEEDINFO.
Change back to UNCONFIRMED after you have provided the information.
Comment 2 Paulo Oliveira 2015-09-13 01:18:45 UTC
First question: wweb32.exe is loaded with Windows startup; in Writer, Ctrl+RightClick on a word.
Second question: I don't think so.

I am using Libreoffice in Windows 10. I hope this helps.
Comment 3 Buovjaga 2015-09-13 07:14:30 UTC
Ok, I downloaded it from MajorGeeks and installed it. I did not install the Firefox extension.

Ctrl+RightClick over a word calls WordWeb just fine and no crash happens.

As we both have the exact same setup, maybe you should try this: https://wiki.documentfoundation.org/UserProfile#Resolving_corruption_in_the_user_profile

Win 7 Pro 64-bit, Version: 5.0.1.2 (32-bit)
Build ID: 81898c9f5c0d43f3473ba111d7b351050be20261
Locale: fi-FI (fi_FI)

Set to NEEDINFO.
Change back to UNCONFIRMED, if the problem persists. Change to RESOLVED WORKSFORME, if the problem went away.
Comment 4 Paulo Oliveira 2015-09-13 14:08:46 UTC
Thanks for the tip. I renamed {Windows user}\AppData\Roaming\LibreOffice\4\user to .\user-old and retarted Libreoffice, it created a new .\user and showed an interface without document history; I opened a TXT file and tried the Ctrl+RightClick, and the problem persists. Restored the old user without problems.
Isn't it odd that the user folder is in the same path as in version 4?
Comment 5 Buovjaga 2015-09-13 14:45:04 UTC
(In reply to Paulo Oliveira from comment #4)
> Isn't it odd that the user folder is in the same path as in version 4?

That was a deliberate decision to not break the user experience with this update.
Comment 6 Paulo Oliveira 2015-10-08 21:49:43 UTC
In 5.0.2 the problem persists
Comment 7 seven 2015-10-30 10:24:36 UTC
LibreOfficeDev_5.1.0.0.alpha1_Win_x64 no problem
Comment 8 testjava 2015-11-22 12:59:25 UTC
No problems with LibreOfficeDev Version: 5.1.0.0.alpha1 on Windows XP 32bit.
Comment 9 Jon Grossart 2015-12-09 21:26:22 UTC
I just started getting this error on 5.0.3 release version when loading multiple or large documents. Not every time though.
Comment 10 Jon Grossart 2015-12-09 21:26:43 UTC
(In reply to Jon Grossart from comment #9)
> I just started getting this error on 5.0.3 release version when loading
> multiple or large documents. Not every time though.

I should add, 64-bit LibO, W10 Pro 64-bit.
Comment 11 Buovjaga 2015-12-10 06:41:37 UTC
(In reply to Jon Grossart from comment #9)
> I just started getting this error on 5.0.3 release version when loading
> multiple or large documents. Not every time though.

This is about using Ctrl+RightClick over a word to call WordWeb, a dictionary.

It sounds like your problem is not related. You should open a new report for it.
Comment 12 zahra 2016-03-02 03:30:47 UTC
hi i can confirm this in version 5.0.3 when i wanted to open a txt files and i tested many fonts for this and even one very valuable docx file! 

please see my last comment in bug 97130
Comment 13 luxian 2016-05-31 17:59:41 UTC Comment hidden (off-topic)
Comment 14 luxian 2016-05-31 18:00:31 UTC Comment hidden (off-topic)
Comment 15 V Stuart Foote 2016-05-31 19:17:22 UTC
Helper utility use with LibreOffice Writer having issues is WordWeb Software's WordWeb Dictionary.

http://wordweb.info/

If you are not using this commercial product (its free or paid "Pro" version) the "SEH Exception: ACCESS VIOLATION" is a generic error message and is not related to this issue.
Comment 16 V Stuart Foote 2016-05-31 19:53:27 UTC
(In reply to luxian from comment #14)
> I joint the "fichier.odt" file.
> Normaly, it's minimalistic, there is no more personal information in.
> 
> I hope that can be usefull to correct this anoying (but not terrible) bug.
> 
> Thank in advance for your help.
> 
> Luxian.

This issue has nothing to do with the issue here with WordWeb. The SEH Exception there was while handling non-scalable Courier font with replacement Courier New font--that issue has been corrected for the 5.0.6, and 5.2.0 releases, supposedly for 5.1.3 branch:

see bug 98989 and commit
https://cgit.freedesktop.org/libreoffice/core/commit/?id=2f89245fb7e1c94bed49dde10b08ab1cf41b597b
Comment 17 Xisco Faulí 2017-06-11 15:30:36 UTC Comment hidden (obsolete)
Comment 18 QA Administrators 2018-01-02 10:15:04 UTC Comment hidden (obsolete)
Comment 19 QA Administrators 2018-01-29 10:36:08 UTC
Dear Bug Submitter,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INSUFFICIENTDATA due to inactivity and
a lack of information which is needed in order to accurately
reproduce and confirm the problem. We encourage you to retest
your bug against the latest release. If the issue is still
present in the latest stable release, we need the following
information (please ignore any that you've already provided):

a) Provide details of your system including your operating
   system and the latest version of LibreOffice that you have
   confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED
and we will attempt to reproduce the issue. Please do not:

a) respond via email 

b) update the version field in the bug or any of the other details
   on the top section of our bug tracker

Warm Regards,
QA Team

MassPing-NeedInfo-20180129